#
# spec file for package audit-libs-python (Version 1.5.5)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-devel audit-libs autoconf automake bash binutils bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc-c++ gcc42 gcc42-c++ gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgomp42 libltdl-3 libmudflap42 libopenssl0_9_8 libreadline5 libstdc++42 libstdc++42-devel libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg openssl-certs pam pam-modules patch perl perl-base permissions pkg-config popt python python-devel rpm sed sqlite swig sysvinit tar texinfo timezone util-linux zlib


Name:           audit-libs-python
%define _name audit
BuildRequires:  audit-devel gcc-c++ pkg-config python-devel swig
Summary:        Python Bindings for libaudit
Version:        1.5.5
Release:        20.4
License:        GPL v2 or later
Group:          System/Monitoring
Url:            http://people.redhat.com/sgrubb/audit/
Source0:        audit-%{version}.tar.gz
Patch0:         audit-no_sca.patch
Patch1:         audit-apparmor-types.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       audit-libs = %( echo `rpm -q --queryformat '%{VERSION}-%{RELEASE}' audit-libs`)
PreReq:         %insserv_prereq %fillup_prereq

%description
The audit-libs-python package contains the bindings for using libaudit
by python.



Authors:
--------
    Steve Grubb <sgrubb@redhat.com>

%debug_package
%prep
%setup -q -n audit-%{version}
%patch0 -p1
%patch1 -p1

%build
#autoreconf -iv --install
aclocal && autoconf && autoheader && automake
export CFLAGS="%{optflags} -fno-strict-aliasing"
export CXXFLAGS="$CFLAGS"
./configure --prefix=%{_prefix} --sbindir=/sbin --mandir=%{_mandir} --libdir=/%{_lib} --sysconfdir=/etc --with-apparmor
pushd src/mt
        make libaudit.h
popd
make

%install
make DESTDIR=$RPM_BUILD_ROOT install -C swig
make DESTDIR=$RPM_BUILD_ROOT install -C bindings
ls -lR $RPM_BUILD_ROOT/
rm -f $RPM_BUILD_ROOT/%{_libdir}/python%{py_ver}/site-packages/_audit.a
rm -f $RPM_BUILD_ROOT/%{_libdir}/python%{py_ver}/site-packages/_audit.la
rm -f $RPM_BUILD_ROOT/%{_libdir}/python%{py_ver}/site-packages/auparse-1.0-py2.5.egg-info

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_libdir}/python%{py_ver}/site-packages/_audit.so
%{_libdir}/python%{py_ver}/site-packages/auparse.so
%{_libdir}/python%{py_ver}/site-packages/audit.py*

%changelog
* Wed Jul 25 2007 - tonyj@suse.de
- Upgrade to 1.5.5
  Drop audit-swig-attribute.patch (upstreamed)
* Fri Jul 13 2007 - tonyj@suse.de
- Fix build errors on ppc
* Thu Jul 12 2007 - tonyj@suse.de
- Upgrade to 1.5.4
* Wed May 02 2007 - tonyj@suse.de
- Upgrade to 1.5.3.
* Wed Nov 29 2006 - tonyj@suse.de
- Upgrade to 1.2.9 (drop several patches which are now upstream)
- /usr/sbin/audispd now packaged by audit-libs-python
* Sun Nov 05 2006 - ro@suse.de
- fix requires
* Fri Sep 01 2006 - tonyj@suse.de
- Upgrade to 1.2.6-1
* Wed Aug 16 2006 - cthiel@suse.de
- split off package
